Bug 1018399 - NetworkManager is only stopped, not disabled.
NetworkManager is only stopped, not disabled.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Andrew Dahms
ecs-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-11 17:28 EDT by Stephen Gordon
Modified: 2015-09-22 09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build: CSProcessor Builder Version 1.12 Build Name: 20666, Installation Guide-3.2-6 Build Date: 22-08-2013 11:56:56 Topic ID: 10236-494016 [Specified]
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gordon 2013-10-11 17:28:38 EDT
Title: Installing Red Hat Enterprise Linux

Describe the issue:

In "Procedure 9.1. Installing Red Hat Enterprise Linux" the user is told to disable NetworkManager usng this command:

    Disable NetworkManager.

    #service NetworkManager stop

This only stops NetworkManager for the current boot, my understanding is that it needs to be disabled permanently.

Suggestions for improvement:

Add additional command:

    # chkconfig NetorkManager disable
Comment 1 Tim Hildred 2013-10-27 20:03:22 EDT
Reassigning to Jodi Biddle (jbiddle@redhat.com) as I am no longer working on Red Hat Enterprise Virtualization documentation.
Comment 2 Zac Dover 2013-12-09 01:05:01 EST
This is now in Section 8.1, here:

http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_Enterprise_Virtualization/3.3/html-single/Installation_Guide/index.html#Installing_Red_Hat_Enterprise_Linux1

What to do
----------
Change the following text:

  You must configure the network so that the host can contact the Manager.
  First, disable NetworkManager. Then configure the networking scripts so 
  that the host will acquire an ip address on boot.

    Disable NetworkManager.

    # service NetworkManager stop

To this text:

 You must configure the network so that the host can contact the Manager.
  First, disable NetworkManager. Then configure the networking scripts so 
  that the host will acquire an ip address on boot.

    Disable NetworkManager.

    # service NetworkManager stop

    # chkconfig NetworkManager disable

When that is done, move this bug ON_QA.
Comment 3 Andrew Dahms 2013-12-11 19:08:06 EST
Documentation Link
------------------------------
http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_Enterprise_Virtualization/3.3/html-single/Installation_Guide/index.html#Installing_Red_Hat_Enterprise_Linux1

What Changed
------------------------------
The following topic was revised to add the line "# chkconfig NetworkManager disable" to the disable NetworkManager step:

Installing Red Hat Enterprise Linux [ 10236-568261 ]

Updated revision history:           [ 21134-568501 ]

NVR
------------------------------
Red_Hat_Enterprise_Virtualization-Installation_Guide-3.3-en-US-3.3-25

Moving to ON_QA.

Note You need to log in before you can comment on or make changes to this bug.